require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xuac',
  dscmeta_resource_friendly_name: '',
  dscmeta_resource_name: 'xUac',
  dscmeta_module_name: 'xSystemSecurity',
  dscmeta_module_version: '1.2.0.0',
  docs: 'The DSC  resource type.
         Automatically generated from version 1.2.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: false,
    },
    dsc_setting: {
      type: 'String',
      desc: ' ',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
